[packages/mozilla-firefox-bin] - -remote option removed in 36.0

atler atler at pld-linux.org
Fri Feb 27 22:51:17 CET 2015


commit c1653841587198ec5a7e44b50f28eeb5abf1bc96
Author: Jan Palus <atler at pld-linux.org>
Date:   Fri Feb 27 22:50:05 2015 +0100

    - -remote option removed in 36.0

 mozilla-firefox-bin.sh | 39 +++++++++------------------------------
 1 file changed, 9 insertions(+), 30 deletions(-)
---
diff --git a/mozilla-firefox-bin.sh b/mozilla-firefox-bin.sh
index 3bb3a04..b5ed2b9 100644
--- a/mozilla-firefox-bin.sh
+++ b/mozilla-firefox-bin.sh
@@ -49,35 +49,14 @@ else
 	FIREFOX="$LIBDIR/firefox"
 fi
 
-if [ "$1" == "-remote" ]; then
-	exec $FIREFOX "$@"
+if [ -f "`pwd`/$1" ]; then
+	URL="file://`pwd`/$1"
 else
-	PING=`$FIREFOX -remote 'ping()' 2>&1 >/dev/null`
-	if [ -n "$PING" ]; then
-		if [ -f "`pwd`/$1" ]; then
-			exec $FIREFOX "file://`pwd`/$1"
-		else
-			exec $FIREFOX "$@"
-		fi
-	else
-		if [ -z "$1" ]; then
-			exec $FIREFOX -remote 'xfeDoCommand(openBrowser)'
-		elif [ "$1" == "-mail" ]; then
-			exec $FIREFOX -remote 'xfeDoCommand(openInbox)'
-		elif [ "$1" == "-compose" ]; then
-			exec $FIREFOX -remote 'xfeDoCommand(composeMessage)'
-		else
-			if [ -f "`pwd`/$1" ]; then
-				URL="file://`pwd`/$1"
-			else
-				URL="$1"
-			fi
-			grep browser.tabs.opentabfor.middleclick ~/.mozilla/firefox/*/prefs.js | grep false > /dev/null
-			if [ $? -ne 0 ]; then
-				exec $FIREFOX -new-tab "$URL"
-			else
-				exec $FIREFOX -new-window "$URL"
-			fi
-		fi
-	fi
+	URL="$1"
+fi
+grep browser.tabs.opentabfor.middleclick ~/.mozilla/firefox/*/prefs.js | grep false > /dev/null
+if [ $? -ne 0 ]; then
+	exec $FIREFOX -new-tab "$URL"
+else
+	exec $FIREFOX -new-window "$URL"
 fi
================================================================

---- gitweb:

http://git.pld-linux.org/gitweb.cgi/packages/mozilla-firefox-bin.git/commitdiff/c1653841587198ec5a7e44b50f28eeb5abf1bc96



More information about the pld-cvs-commit mailing list